CREATE TABLE registrations (
    id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    first_name VARCHAR(30) NOT NULL,
    last_name VARCHAR(30) NOT NULL,
    email VARCHAR(50) NOT NULL,
    mobile VARCHAR(10),
    date TIMESTAMP,
    PRIMARY KEY (`id`),
    UNIQUE KEY `email` (`email`),
    UNIQUE KEY `mobile` (`mobile`)
) ENGINE=InnoDB;

CREATE TABLE signup (
    id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    first_name VARCHAR(30) NOT NULL,
    last_name VARCHAR(30) NOT NULL,
    email VARCHAR(50) NOT NULL,
    mobile VARCHAR(10),
    password VARCHAR(100),
    date TIMESTAMP,
    PRIMARY KEY (`id`),
    UNIQUE KEY `email` (`email`),
    UNIQUE KEY `mobile` (`mobile`)
) ENGINE=InnoDB;

CREATE TABLE application (
    id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    application_id VARCHAR(5) NOT NULL,
    student_email VARCHAR(30) NOT NULL,
    student_name VARCHAR(30) NOT NULL,
    admission_year VARCHAR(10),
    father_name VARCHAR(30),
    guardian_name VARCHAR(30),
    mother_name VARCHAR(30),
    father_occupation VARCHAR(30),
    mother_occupation VARCHAR(30),
    guardian_occupation VARCHAR(30),
    father_email VARCHAR(50),
    mother_email VARCHAR(50),
    guardian_email VARCHAR(50),
    father_mobile VARCHAR(10),
    mother_mobile VARCHAR(10),
    guardian_mobile VARCHAR(10),
    father_telephone VARCHAR(30),
    mother_telephone VARCHAR(30),
    guardian_telephone VARCHAR(30),
    father_annual_income VARCHAR(20),
    mother_annual_income VARCHAR(20),
    guardian_annual_income VARCHAR(20),
    father_office_address VARCHAR(150),
    mother_office_address VARCHAR(150), 
    guardian_office_address VARCHAR(150),
    current_address VARCHAR(150) NOT NULL,
    permanent_address VARCHAR(150) NOT NULL,
    date_of_birth VARCHAR(15) NOT NULL,
    nationality VARCHAR(30) NOT NULL,
    religion VARCHAR(30) NOT NULL,
    christian_denomination VARCHAR(30),
    category VARCHAR(30) NOT NULL,
    course VARCHAR(120) NOT NULL,
    majors VARCHAR(120) NOT NULL,
    second_language VARCHAR(30) NOT NULL,
    examination_passed VARCHAR(30) NOT NULL,
    subject_1 VARCHAR(30),
    subject_2 VARCHAR(30),
    subject_3 VARCHAR(30),
    subject_4 VARCHAR(30),
    subject_5 VARCHAR(30),
    subject_6 VARCHAR(30),
    max_marks_1 INT(4),
    max_marks_2 INT(4),
    max_marks_3 INT(4),
    max_marks_4 INT(4),
    max_marks_5 INT(4),
    max_marks_6 INT(4),
    marks_1 INT(4),
    marks_2 INT(4),
    marks_3 INT(4),
    marks_4 INT(4),
    marks_5 INT(4),
    marks_6 INT(4),
    total_max_marks INT(5),
    total_marks INT(5),
    sport_name_1 VARCHAR(30),
    sport_name_2 VARCHAR(30),
    sport_name_3 VARCHAR(30),
    sport_level_1 VARCHAR(30),
    sport_level_2 VARCHAR(30),
    sport_level_3 VARCHAR(30),
    sport_cert_1_path VARCHAR(120),
    sport_cert_2_path VARCHAR(120),
    sport_cert_3_path VARCHAR(120),
    scm_activity varchar(30),
    choir_activity varchar(30),
    civil_defense_activity varchar(30),
    nss_defense_activity varchar(30),
    music_activity varchar(30),
    sports_activity varchar(30),
    previous_institution_name VARCHAR(120),
    previous_institution_address VARCHAR(150),
    year_of_passing INT(4),
    self_declaration_name VARCHAR(30),
    place_of_submission VARCHAR(30),
    profile_picture_path VARCHAR(120),
    father_signature_picture_path VARCHAR(120),
    mother_signature_picture_path VARCHAR(120),
    guardian_signature_picture_path VARCHAR(120),
    student_signature_picture_path VARCHAR(120),
    marks_card_picture_path VARCHAR(120),
    transfer_certificate_picture_path VARCHAR(120),
    obc_certificate_picture_path VARCHAR(120),
    foreign_eligible_picture_path VARCHAR(120),
    csi_membership_picture_path VARCHAR(120),
    application_status VARCHAR(30),
    date TIMESTAMP,
    PRIMARY KEY (`id`),
    UNIQUE KEY `student_email` (`student_email`),
    UNIQUE KEY `application_id` (`application_id`)
) ENGINE=InnoDB;

CREATE TABLE admin_user (
    id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    first_name VARCHAR(30) NOT NULL,
    last_name VARCHAR(30) NOT NULL,
    email VARCHAR(50) NOT NULL,
    mobile VARCHAR(10),
    password VARCHAR(100),
    date TIMESTAMP,
    PRIMARY KEY (`id`),
    UNIQUE KEY `email` (`email`),
    UNIQUE KEY `mobile` (`mobile`)
) ENGINE=InnoDB;

insert into admin_user(first_name,last_name,email,mobile,password) VALUES('Tejesh','Mallikarjuna','tej.lyman@gmail.com','7799223627',md5('Dimpy@1991'));